%define prerel pre1

Name: gsubedit
Version: 0.4
Release: alt0.6%prerel

Summary: GSubEdit is a tool for editing and converting of DivX subtitles
License: GPL
Group: Video
Url: http://gsubedit.sourceforge.net/

Source: %name-%version%prerel.tar.gz

# Automatically added by buildreq on Sat Jun 08 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs bison esound-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libalsa2 libaudiofile-devel libdb1-devel xpm-devel

%description
GSubEdit, or GNOME Subtitle Editor, is a tool for editing and converting DivX ;-) subtitles.
GSubEdit is a tool for editing and converting of DivX subtitles.

The main features are
* Reading and writing of SubRip (.srt) and MicroDVD subtitles.
* Framerate conversion.
* Frame displacement (Add offset to all or some frames frames).
* Remove text for hearing impaired.
* Splitting file
* Joining files

%prep
%setup -q -n %name-%version%prerel

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/%group" title="GSubEdit" \
longtitle="GNOME Subtitle Editor" command="%_bindir/%name" icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 pixmaps/%{name}_icon.png %buildroot%_datadir/pixmaps/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/pixmaps/*
%_datadir/gnome/help/*
%_datadir/gnome/apps/*/*
%_menudir/*
%doc AUTHORS ChangeLog README TODO NEWS

%changelog
* Sat Oct 18 2003 Alexei Takaseev <taf@altlinux.ru> 0.4-alt0.6pre1
- It is taken back from orphaned

* Sat Jun 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt0.5pre1
- Adopted for Sisyphus. 

* Fri Mar 29 2002 Michal Ambroz (O_O) <rebus@seznam.cz>
- initial gsubedit rpm specfile
